Subject: Re: AD Sponsorship of draft-moonesamy-recall-rev

From: S Moonesamy <[email-masked]>
Date: Thu, 16 May 2019 12:00:31 -0700

Hi Suresh,

I submitted a new version of the draft: 
https://datatracker.ietf.org/doc/html/draft-moonesamy-recall-rev

The description for "eligibility-discuss" mailing list could be 
interpreted as a place to discuss eligibility to participate in the 
IETF.  Was that mailing list set up to determine the policy for 
eligibility to participate in the IETF?

Regards,
S. Moonesamy

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 17 May 2019 04:30:02 +0000

Hi SM,

> On May 16, 2019, at 3:00 PM, S Moonesamy <[email-masked]> wrote:
> 
> Hi Suresh,
> 
> I submitted a new version of the draft: https://datatracker.ietf.org/doc/html/draft-moonesamy-recall-rev
> 
> The description for "eligibility-discuss" mailing list could be interpreted as a place to discuss eligibility to participate in the IETF.  Was that mailing list set up to determine the policy for eligibility to participate in the IETF?

Speaking just for myself, the name was selected because the two of major items the draft attempts to address were related to 

a) eligibility of the I* members 
b) eligibility of remote participants

to participate in the recall process (with the third being the reduction in the number of required signatories). I think more descriptive text might be in order for the listinfo to avoid any ambiguity. 
 
Thanks
Suresh

---

From: S Moonesamy <[email-masked]>
Date: Sat, 18 May 2019 17:33:41 -0700

Dear IETF Chair,

A few months ago, I submitted a short draft about the revision of the 
recall initiation model [1].  Last month, the recommendation of the 
IESG was to submit a BOF proposal [2].  I had an email exchange with 
one of the Area Directors about the request for an IAB shepherd.  If 
I am not mistaken, an IAB shepherd can provide a review of 
architectural consistency and integrity.  Does the short draft 
require that type of review?

The "we think" [2] from the IESG is expressed in one sentence.  Would 
it be possible for the IESG to explain its understanding of the 
in-depth problem statement so that there could be a discussion?

Regards,
S. Moonesamy

1. https://tools.ietf.org/html/draft-moonesamy-recall-rev-02
2. https://mailarchive.ietf.org/arch/msg/ietf/KrycBOdMJzyypqFynXi9t1S1n-w

---

From: S Moonesamy <[email-masked]>
Date: Mon, 20 May 2019 03:20:27 -0700

Dear IAB,

I assume that the IAB has received a briefing about 
draft-moonesamy-recall-rev [1] as it was discussed at the IESG 
Retreat.  If I am not mistaken, an IAB shepherd can provide a review 
of architectural consistency and integrity.  Does the short draft [1] 
require that type of review?

Regards,
S. Moonesamy

---

From: Eric Rescorla <[email-masked]>
Date: Mon, 20 May 2019 03:45:31 -0700

I'm not on any kind of I*, but when I was, the idea behind an IAB shepherd
was not that primarily that they provided a review but that they helped the
proponents of the work navigate the IETF process (especially the BOF
process) and get to a crisp problem statement, etc. I never thought of it
as a requirement, but rather something that was intended to result in a
more productive discussion.

-Ekr

---

From: S Moonesamy <[email-masked]>
Date: Fri, 24 May 2019 02:13:41 -0700

Dear Mr Rescorla,
At 03:45 AM 20-05-2019, Eric Rescorla wrote:
>I'm not on any kind of I*, but when I was, the idea behind an IAB 
>shepherd was not that primarily that they provided a review but that 
>they helped the proponents of the work navigate the IETF process 
>(especially the BOF process) and get to a crisp problem statement, 
>etc. I never thought of it as a requirement, but rather something 
>that was intended to result in a more productive discussion.

Thank you for providing the above information.

The short draft was intended to be narrow in scope (re. crisp problem 
statement).  Some time back, I served as editor of a draft which was 
discussed at length on this mailing list.  My co-author also served 
as editor of other drafts.  He has much more experience than I do 
with respect to getting drafts through the IETF process.

As a comment about IETF process, it was pointed out to me that a 
Working Group Chair cannot author drafts within his/her working 
group.  That does not seem to be a problem for other Working Group 
Chairs; some of them have been authored drafts in their working 
groups.  That can create a perception that the rule, if there is one, 
is applied in different ways to different people.  I am okay if the 
IAB wishes to provide guidance on a problem statement about that as 
part of the revision to IETF eligibility procedures.

I read draft-rescorla-istar-recall-00.  One of the conclusions from 
it is that the recall system is so unwieldy that it is undeployable 
even in the most egregious cases.  I could not figure out the 
rationale for having an accountability mechanism which, by design, is 
not intended to work.

There is the following sentence at the end of Section 3 of the draft: 
"The Chair of the IETF may not be removed by expulsion".  That is an 
interesting proposal.

Regards,
S. Moonesamy

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 24 May 2019 09:49:27 +0000

I'm still jet-lagged at RIPE, but just to try to contribute to this
discussion in a helpful way ...

> >that was intended to result in a more productive discussion.

This is actually written down in more detail in
https://www.iab.org/documents/correspondence-reports-documents/2012-2/iab-member-roles-in-evaluating-new-work-proposals/,
which seems to be one of the more obscure practices at IETF, since when I
was on IESG and referred to it in discussions with IESG and IAB members,
people often told me they hadn't seen it.

The IAB could have changed that practice last week at their retreat, or
could have decided it needed to be changed, but AFAIK, the 2012 version is
still operative (the IAB has become way more transparent, but they still
review their meeting minutes before they publish them).

This might also be useful information for other people proposing IETF 105
BOFs, of course ...

> group.

I was only on the IESG for six years, but AFAIK, this isn't quite right.

It's common, in TSV at least, for WG chairs to author drafts in their own
WGs. What we don't do, is have WG chairs shepherd their own documents. The
idea is that you don't get to declare consensus on your own document.

This is the same thing as me authoring drafts while I was on the IESG (I
did), but not being the responsible AD for publication.

But both of those are practices - the operative principle is to Do The
Right Thing.

> That does not seem to be a problem for other Working Group
> is applied in different ways to different people.

Working group chairs, and ADs, have a lot of flexibility because we rely on
them to Do The Right Thing, If that flexibility is misused, that's a
problem. Please speak up if this looks like a problem to you - there is an
appeals chain, and it starts with the person who takes a problematic
action.

I was able to wear my IETF 104 t-shirt at RIPE this week, which says "Make
Good Choices", and that's as true now, as it was in March.

Best wishes, of course.

Spencer

> I am okay if the

---

From: Eric Rescorla <[email-masked]>
Date: Fri, 24 May 2019 02:50:46 -0700

> is applied in different ways to different people.

It's not quite clear what the gravamen of your complaint is here. To the
best of my knowledge, no such rule exists. Obviously, you might have
been misinformed, but I'm not sure what you're hoping for as a result.

  I am okay if the
> part of the revision to IETF eligibility procedures.

I don't understand what you are asking for, here. As I said, to the best
of my knowledge no such rule exists, so it's not clear what IAB would
do here.

> rationale for having an accountability mechanism which, by design, is

This misunderstands the document, which doesn't say that the recall system
was not intended to work, but merely that it does not in fact work. One need
not look far in the IETF to find other processes and technologies which
were expected to work but do not.

-Ekr

---

From: S Moonesamy <[email-masked]>
Date: Fri, 24 May 2019 08:32:55 -0700

Hi Spencer,
At 02:49 AM 24-05-2019, Spencer Dawkins at IETF wrote:
>which seems to be one of the more obscure practices at IETF, since 
>when I was on IESG and referred to it in discussions with IESG and 
>IAB members, people often told me they hadn't seen it.

I sent an email to the IAB on 20 May to seek clarification.  There 
hasn't been any reply up to now.

>I was only on the IESG for six years, but AFAIK, this isn't quite right.

I would like to thank Mr Rescorla and you for providing feedback on the above.

>Working group chairs, and ADs, have a lot of flexibility because we 
>rely on them to Do The Right Thing, If that flexibility is misused, 
>that's a problem. Please speak up if this looks like a problem to 
>you - there is an appeals chain, and it starts with the person who 
>takes a problematic action.

I am not sure whether you are aware of what happens (it may be 
different nowadays) when a persons speaks up on this mailing list.

The appeal records are inaccessible:

   > GET /iesg/appeal/response-to-klensin-2017-11-29.html HTTP/1.1
   > Host: www.ietf.org
   > User-Agent: [removed]
   > Accept: */*
   >
   * Connection state changed (MAX_CONCURRENT_STREAMS updated)!
   < HTTP/2 404
   < date: Fri, 24 May 2019 14:04:25 GMT

   > GET /iesg/appeal/response-to-masotta-2013-11-14.html HTTP/1.1
   > Host: www.ietf.org
   > User-Agent: [removed]
   > Accept: */*
   >
   * Connection state changed (MAX_CONCURRENT_STREAMS updated)!
   < HTTP/2 404
   < date: Fri, 24 May 2019 14:07:35 GMT

There were eight people who filed appeals over the last 10 
years.  There is only one of them who regularly participates in IETF 
discussions.  Does that mean that none of the other regular IETF 
participants took action when they saw a person taking a problematic 
action?  Or is it because none of the Area Directors have ever taken 
a problematic action?

Would the short draft be "AD sponsored" if the it was authored by an 
Area Director?  I suggest looking at the previous cases, e.g. RFC 7475.

Regards,
S. Moonesamy

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 25 May 2019 08:00:13 +1200

On 24-May-19 21:50, Eric Rescorla wrote:
> 
> 
> On Fri, May 24, 2019 at 2:15 AM S Moonesamy <[email-masked] <mailto:[email-masked]>> wrote:
> 
> It's not quite clear what the gravamen of your complaint is here.. To the

There's certainly no rule, but there have been many cases where an
AD has raised the issue of potential conflict of interest - if a WG Chair
is a lead author for an important WG draft, that person can certainly
not make the consensus judgement. And I know that some ADs have been more
insistent on this point than others, especially if both co-chairs are also
protagonists of the draft.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Fri, 24 May 2019 17:23:55 -0400

Hi.

Since I've been cited in my co-author capacity, a few
comments...  Note that, while I supplied an earlier draft for
use as a starting point, left the question of whether to list me
as co-author to SM, and agree with what this draft is trying to
accomplish, I've been trying to stay out of this one.  The
reasons may become clear below.

--On Friday, May 24, 2019 09:49 +0000 Spencer Dawkins at IETF
<[email-masked]> wrote:

> I'm still jet-lagged at RIPE, but just to try to contribute to
> this discussion in a helpful way ...
> 
>> > I'm not on any kind of I*, but when I was, the idea behind
>> > an IAB shepherd was not that primarily that they provided a
>> > review but that they helped the proponents of the work
>> > navigate the IETF process (especially the BOF process) and
>> > get to a crisp problem statement, etc. I never thought of
>> > it as a requirement, but rather something that was intended
>> > to result in a more productive discussion.
>> 
> 
> https://www.iab.org/documents/correspondence-reports-documents
> /2012-2/iab-member-roles-in-evaluating-new-work-proposals/,
> which seems to be one of the more obscure practices at IETF,
> since when I was on IESG and referred to it in discussions
> with IESG and IAB members, people often told me they hadn't
> seen it.

Once upon a time, there was general agreement that, if something
was a "real" procedure, it was agreed upon by community
consensus, published in the RFC Series, and then generally
adhered to. IESG (and IAB) statements, when made at all, were
general guidance to the community about how the IESG (or IAB)
intended to do its work, rather than rigid rules: if special
circumstances arose, good sense would always be applied rather
than prior statements about procedures. In that same long-ago
time, if an IESG or IAB member, or the whole bodies, started
behaving as if they had somehow been anointed with imperial, or
perhaps divine, wisdom or authority, the community had, and
used, corrective methods that were far faster and less ambiguous
than the recall mechanism, typically methods that were applied
at plenaries and that often involved, at least metaphorically,
airborne application of ripe fruit.

My impression is that the community at that time was far more
concerned about several members of the IESG (or of the IAB)
getting together to force someone out who was taking strong
positions that didn't agree with the majority view than it was
about serious and objective malfeasance or non-feasance.

Like more good stories starting with "once upon a time", some
aspects of that era are at least a bit mythical.  But I think
things have actually changed and that, in particular, the use by
the community of plenaries as a control function for any issues
significantly more important than the quantity or quality of
cookies has largely vanished.  Among other effects, that makes
the recall mechanism the community's first line of defense
against bad behavior rather than a second or third level method.
If that is true, it better be equally available to all
participants in the IETF and it better be fair.  It should also
be usable in practice, but those are actually separable problems.

> The IAB could have changed that practice last week at their
> retreat, or could have decided it needed to be changed, but
> AFAIK, the 2012 version is still operative (the IAB has become
> way more transparent, but they still review their meeting
> minutes before they publish them).
> 
> This might also be useful information for other people
> proposing IETF 105 BOFs, of course ...

Right.  Perhaps more useful than a proposal for one on the
subject of recalls; see below.

>> The short draft was intended to be narrow in scope (re. crisp
>> problem statement).  Some time back, I served as editor of a
>> draft which was discussed at length on this mailing list.  My
>> co-author also served as editor of other drafts.  He has much
>> more experience than I do with respect to getting drafts
>> through the IETF process.

As the co-author who is presumably being referenced, I believe I
have learned three things about process change proposals in the
last decade (I see NEWTRK as a turning point; others may have
different impressions):

(1) While we can make, or at least pretend we can make, purely
technical decisions about protocol standards, procedural ones
are inevitably a matter of taste.  That turns "whose taste?"
into an important question, especially if there are tradeoffs
involving who might be helped or put at risk by a particular
decision.

(2) Procedural change proposals that originate with (or are
actively discussed within) the IESG and that are written up by
one AD and sponsored/shepherded by another, are going to go
through.  I presume there is a level of community consensus
against such a proposal that would kill it but, given that much
of the community won't spend time engaging with and commenting
on procedural changes and that the IESG determination of rough
consensus is inherently somewhat subjective, almost any proposal
generated and handled that way is going to be accepted,
published, and, unless it explicitly says otherwise, treated as
a set of firm rules.  

(3) Procedural change proposals that do not originate with the
IESG and that don't have immediate strong support from within
the IESG have, statistically, a grim future ahead of them,
especially if their effect would include either changing the
IESG's responsibilities or increasing the ways in which the
community can hold the IESG, or IESG members, accountable.
Especially with procedural proposals, rather than technical
ones, the IESG has a rather wide range of options for killing
something about which they are not enthused, starting with
insisting on a BOF or two, forcing discussions off the IETF list
and into one for which people who are not strongly committed to
procedural issues won't sign up, claiming that the BOF does not
show sufficient support (easily encouraged by scheduling a F2F
BOF, appointing leadership who are skeptical about, or hostile
to, the idea) or even concluding that there is insufficient
support on the mailing list to justify holding a BOF, broadening
scope sufficiently to make convergence in a WG before everyone
runs out of energy, etc.   Because each of those decision points
involves an IESG evaluation of consensus and whether the topic
is worth more community time, separating entirely reasonable
decisions from abusive behavior is generally going to be
impossible.  With NEWTRK, we even saw the IESG receive documents
on which the WG had consensus and refuse to initiate an IETF
Last Call (and make it clear than an appeal would go nowhere).

I hope and trust that this draft is viewed with enough interest
in the community and the IESG that it will be an exception to
the above and, in particular, that SM will submit a proposal for
either a virtual BOF or one in Montreal, that the BOF will
confirm that it is appropriate to go ahead with this narrow
piece of work, and that a WG, if needed at all, will be
confirmed quickly and can progress rapidly and without F2F
meetings.  But history does not lead to optimism.

>> As a comment about IETF process, it was pointed out to me
>> that a Working Group Chair cannot author drafts within
>> his/her working group.
> 
> It's common, in TSV at least, for WG chairs to author drafts
> in their own WGs. What we don't do, is have WG chairs shepherd
> their own documents. The idea is that you don't get to declare
> consensus on your own document.

At the same time, if the topic of the work is controversial,
this lends itself to abuse... especially so if there is a
personal or business relationship between the WG Chair/author
and the relevant AD.  Even if some other AD, perhaps from some
other area, takes over formal responsibility for the document,
if the document is controversial there is going to be at least a
faint whiff of suspicion about improper relationships.  

> This is the same thing as me authoring drafts while I was on
> the IESG (I did), but not being the responsible AD for
> publication.
> 
> But both of those are practices - the operative principle is
> to Do The Right Thing.

Yep.

best,
   john

---

From: Suresh Krishnan <[email-masked]>
Date: Fri, 24 May 2019 19:54:56 -0400

Hi SM,

> On May 18, 2019, at 8:33 PM, S Moonesamy <[email-masked]> wrote:
> 
> Dear IETF Chair,
> 
> A few months ago, I submitted a short draft about the revision of the recall initiation model [1].  Last month, the recommendation of the IESG was to submit a BOF proposal [2].  I had an email exchange with one of the Area Directors about the request for an IAB shepherd.  If I am not mistaken, an IAB shepherd can provide a review of architectural consistency and integrity.  Does the short draft require that type of review?

I am not talking for the whole IESG but I will tell you my opinion as a sitting IESG member on why I did not want to AD sponsor this draft in its current condition. I think the proposal in the draft sets the bar too low specifically on the Section 2.2 front. One of the things that has kept the recall petitions rare is that that the people who initiate the petition need to have some accountability for doing so (I would call this “skin in the game” [0] but it does not translate well across cultures). Otherwise there will be no bar to filing frivolous petitions. This brings me to the elephant in the room. It is fairly trivial for someone to sign up 10 remote participant identities to initiate a recall petition without incurring much effort, for the *sole purpose* of starting a recall petition. I would like to see some suggestions as to how we can ensure that this would not happen. 

> 
> The "we think" [2] from the IESG is expressed in one sentence.  Would it be possible for the IESG to explain its understanding of the in-depth problem statement so that there could be a discussion?

There were some concerns that were brought up during the discussion on the [email-masked] list and I would like to see a proposal (or a revision) to resolve them. One of the other things that came up during the discussion was that some of us felt that a path to Nomcom eligibility for remote participants was a much better way of preventing disenfranchisement of remote participants. I think Barry stated this explicitly in one of his emails. Given that there are multiple potential way to go about achieving the goals, I do not see that harm in having further discussion to see what we should pick as a base.

Thanks
Suresh

[0] https://en.wikipedia.org/wiki/Skin_in_the_game_(phrase)

---

From: S Moonesamy <[email-masked]>
Date: Fri, 24 May 2019 18:17:18 -0700

Hi Suresh,
At 04:54 PM 24-05-2019, Suresh Krishnan wrote:
>I am not talking for the whole IESG but I will 
>tell you my opinion as a sitting IESG member on 
>why I did not want to AD sponsor this draft in 
>its current condition. I think the proposal in 
>the draft sets the bar too low specifically on 
>the Section 2.2 front. One of the things that 
>has kept the recall petitions rare is that that 
>the people who initiate the petition need to 
>have some accountability for doing so (I would 
>call this "skin in the game" [0] but it does 
>not translate well across cultures). Otherwise 
>there will be no bar to filing frivolous 
>petitions. This brings me to the elephant in the 
>room. It is fairly trivial for someone to sign 
>up 10 remote participant identities to initiate 
>a recall petition without incurring much effort, 
>for the *sole purpose* of starting a recall 
>petition. I would like to see some suggestions 
>as to how we can ensure that this would not happen.

Thank you for sharing your opinion openly.

There isn't a "skin in the game" hurdle for 
appeals.  It is trivial to file five frivolous 
appeals and get 15 Area Directors to respond to the appeals.

There is the following sentence in Section 3.1: 
"All signatories must have registered to attend 
and have participated physically or remotely at 
least three out of the previous five IETF 
meetings".  Those 10 remote participants (please 
see above) cannot just sign up  as that would be 
considered as attending a meeting.  If a person 
was participating remotely in a WG session, the 
WG Chair and some of the regular WG participants 
would likely know who the person is.

If the IETF community is uncomfortable with the 
"remote only" signatories, that could be 
addressed by setting a restriction on the number 
of signatories who are "remote only".

>There were some concerns that were brought up 
>during the discussion on the [email-masked] list 
>and I would like to see a proposal (or a revision) to resolve them. One of the

Could Alexey, Warren or you please list the 
concerns so that they can be addressed?

>other things that came up during the discussion 
>was that some of us felt that a path to Nomcom 
>eligibility for remote participants was a much 
>better way of preventing disenfranchisement of 
>remote participants. I think Barry stated this 
>explicitly in one of his emails. Given that 
>there are multiple potential way to go about 
>achieving the goals, I do not see that harm in 
>having further discussion to see what we should pick as a base.

Since Barry sent his email about Nomcom 
eligibility there hasn't been any draft about 
that topic.  There isn't anything which could be picked as base.

Regards,
S. Moonesamy

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 25 May 2019 13:04:39 +0100

Hi SM,

On 20/05/2019 11:20, S Moonesamy wrote:
> draft-moonesamy-recall-rev [1] as it was discussed at the IESG Retreat. 

No specific briefing no. I'd say a bunch of IAB members are
likely aware of the discussion.

> If I am not mistaken, an IAB shepherd can provide a review of
> architectural consistency and integrity.  Does the short draft [1]

Are you asking the IAB to collectively answer that question?

IIUC the "IAB shepherd" thing happens when the IESG ask the
IAB for someone to shepherd a BoF proposal and they've not
asked us in this case that I recall. I don't think it'd be
a good plan if the IAB decided to try muscle in to "shepherd"
things that might or might not turn into a BoF without being
asked by the IESG.

And FWIW, in this case, even if asked by the IESG, my starting
position would be "no, this isn't something suited for an
IAB shepherd as it's an IETF process related proposal" but
others may have other opinions and I don't feel strongly about
it so I could well be convinced otherwise if the IAB were
asked by the IESG.

Cheers,
S.

---

From: S Moonesamy <[email-masked]>
Date: Sat, 25 May 2019 11:33:48 -0700

Hi Stephen,
>likely aware of the discussion.

Thanks for the input.

>Are you asking the IAB to collectively answer that question?

I'd say that an answer from an IAB member is good enough.

>things that might or might not turn into a BoF without being

Thanks, Stephen.  That is useful to know.

>it so I could well be convinced otherwise if the IAB were

I appreciate that you shared your opinion openly.  It is not up to me 
to convince you to change it or ask you to take a strong position.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Sat, 25 May 2019 12:46:28 -0700

Hi John, Spencer,
>reasons may become clear below.

I viewed it as the appropriate thing to do.

>airborne application of ripe fruit.

The "IESG Statements" might be similar to "executive orders" except 
that their status is unknown.  The IESG also invented the 
IONs.  There is some information about that in RFC 6393.

I have heard of imperial bodies.  I find it odd that an entity which 
describes itself as the "most prominent standards bodies" seeks to 
evolve into an elected monarchy.  However, there is not much I can do 
about it as it is easy for a person to be targeted when it is known 
that he/she does not have access to the redress mechanism.

>about serious and objective malfeasance or non-feasance.

I assume that you are referring to using one's position to push an agenda.

>aspects of that era are at least a bit mythical.  But I think

Anyone from afar might view it as an era of enchantment.

>be usable in practice, but those are actually separable problems.

The plenary have fallen in disuse since over a decade.  I suggest 
taking a look at Section 4 of RFC 7437.

>involving who might be helped or put at risk by a particular

It is not possible to make those purely technical decisions without a 
set of procedures to regulate how the decisions will be taken.  As 
John mentioned, those decisions could be perceived as a matter of taste.

>published, and, unless it explicitly says otherwise, treated as

The above is about the breath of consensus.  If the IETF seeks to be 
an international body, should the breath of engagement reflect 
that?  The easy way is to choose the path of convenience and call it 
"rough consensus".

>community can hold the IESG, or IESG members, accountable.

I noticed that.

>scope sufficiently to make convergence in a WG before everyone

It is easy to terminate a proposal as per process rules.  That works 
well for anyone who is more than happy to do whatever the IESG wishes.

>Last Call (and make it clear than an appeal would go nowhere).

There is not much which can be done if the IESG does not address an 
appeal adequately.

>meetings.  But history does not lead to optimism.

:-)

Regards,
S. Moonesamy

---

From: "Pete Resnick" <[email-masked]>
Date: Sat, 25 May 2019 17:33:38 -0500

On 24 May 2019, at 18:54, Suresh Krishnan wrote:

>  One of the things that has kept the recall petitions rare is that 
> that the people who initiate the petition need to have some 
> accountability for doing so (I would call this “skin in the game” 
> [0] but it does not translate well across cultures). Otherwise there 
> will be no bar to filing frivolous petitions. This brings me to the 
> elephant in the room. It is fairly trivial for someone to sign up 10 
> remote participant identities to initiate a recall petition without 
> incurring much effort, for the *sole purpose* of starting a recall 
> petition. I would like to see some suggestions as to how we can ensure 
> that this would not happen.

It is not "fairly trivial" to sign up 10 remote participants for 3 out 
of the last 5 meetings just to game the system; that takes at least a 
year's worth of planning. That requirement (which has always been in the 
document) seems plenty high to prevent completely frivolous petitions. 
And note that even if there were frivolous petitions (and I think it is 
highly unlikely), this would simply be a DOS attack on recall 
committees, not a way to remove an AD or IAB member.

Even if you think that the one year of planning is not enough to 
discourage silliness, there are other potential simple solutions (e.g., 
half of the petitioners must be non-remote registrants, etc.).

I think the concerns here are overdone.

pr
-- 
Pete Resnick http://www.episteme.net/
All connections to the world are tenuous at best

---

From: "Theodore Ts'o" <[email-masked]>
Date: Sat, 25 May 2019 19:08:25 -0400

On Sat, May 25, 2019 at 05:33:38PM -0500, Pete Resnick wrote:
> 
> It is not "fairly trivial" to sign up 10 remote participants for 3 out of
> the last 5 meetings just to game the system; that takes at least a year's
> worth of planning. That requirement (which has always been in the document)
> seems plenty high to prevent completely frivolous petitions. And note that
> even if there were frivolous petitions (and I think it is highly unlikely),
> this would simply be a DOS attack on recall committees, not a way to remove
> an AD or IAB member.
> 
> Even if you think that the one year of planning is not enough to discourage
> silliness, there are other potential simple solutions (e.g., half of the
> petitioners must be non-remote registrants, etc.).

Another thing perhaps to consider would be to start charging at least
some amount of money to register as a remote participation.  That
money can be used to fund and improve the remote participation tools.
(Since remote participants would become paying customers, there would
be an expectation that quality provided to the remote participants
would have meet a minimum quality bar --- which is a feature, not a
bug.)

People can disagree about how likely that redchan or gab.com
participants would try to game the system in the future (perhaps it's
not likely, but the Linux Kernel development community has not been
immune from their interest), but requiring a real registration fee
would no doubt decrease that risk.  Futhermore, since we've already
decided that it's OK to require a registration fee for in-person
attendance, requiring something similar for remote participants ---
since the claim is that they should have all of the rights and
responsibilities pertaining thereto --- would seem only fair.

Just a thought.

						- Ted

---

From: John C Klensin <[email-masked]>
Date: Sat, 25 May 2019 22:24:22 -0400

Ted,

FWIW, I've suggested this several times for a variety of
reasons, including suggestions that the fee be adjusted if
needed to reflect the differences between industrialized and
less- developed countries.  Money on the table is not a really
good measure of actual intent to participate (rather than, e.g.,
to troll) but it would certainly help.

  john

--On Saturday, 25 May, 2019 19:08 -0400 Theodore Ts'o
<[email-masked]> wrote:

>> It is not "fairly trivial" to sign up 10 remote participants
>> for 3 out of the last 5 meetings just to game the system;
>> that takes at least a year's worth of planning. That
>> requirement (which has always been in the document) seems
>> plenty high to prevent completely frivolous petitions. And
>> note that even if there were frivolous petitions (and I think
>> it is highly unlikely), this would simply be a DOS attack on
>> recall committees, not a way to remove an AD or IAB member.
>> 
>> Even if you think that the one year of planning is not enough
>> to discourage silliness, there are other potential simple
>> solutions (e.g., half of the petitioners must be non-remote
>> registrants, etc.).
> 
> Another thing perhaps to consider would be to start charging
> at least some amount of money to register as a remote
> participation.  That money can be used to fund and improve the
> remote participation tools. (Since remote participants would
> become paying customers, there would be an expectation that
> quality provided to the remote participants would have meet a
> minimum quality bar --- which is a feature, not a bug.)
> 
> participants would try to game the system in the future
> (perhaps it's not likely, but the Linux Kernel development
> community has not been immune from their interest), but
> requiring a real registration fee would no doubt decrease that
> risk.  Futhermore, since we've already decided that it's OK to
> require a registration fee for in-person attendance, requiring
> something similar for remote participants --- since the claim
> is that they should have all of the rights and

---

From: Loganaden Velvindron <[email-masked]>
Date: Sun, 26 May 2019 12:54:05 +0400

On Sun, May 26, 2019 at 3:09 AM Theodore Ts'o <[email-masked]> wrote:

> discourage
> [Speaking as the organizer of an ietf remote hub from Mauritius]

We've been contributed patches for TLS 1.3, IPv6, DNS, http451 in open
source
projects during the IETF hackathons. We're also working on a few drafts. We
have a lot
of high school and university students among ourselves.

We're OK with paying the registration fees provided that they are
reasonable.

There are countries such as Madagascar who are trying to organize their own
IETF
hubs but their Cost of living is lower than us. What is reasonable to us
might be expensive
to them.

Could there be a remote registration fee calculated per country ?

---

From: Iyedi Goma <[email-masked]>
Date: Sun, 26 May 2019 11:14:08 +0100

hello Loganaden
thanks for raising this point

Le dim. 26 mai 2019 à 09:55, Loganaden Velvindron <[email-masked]> a
écrit :

>> of
> projects during the IETF hackathons. We're also working on a few drafts.
> We have a lot
> There are countries such as Madagascar who are trying to organize their
> own IETF

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 May 2019 15:32:04 -0400

--On Saturday, 25 May, 2019 17:33 -0500 Pete Resnick
<[email-masked]> wrote:

>...
> for 3 out of the last 5 meetings just to game the system; that
> takes at least a year's worth of planning. That requirement
> (which has always been in the document) seems plenty high to
> prevent completely frivolous petitions. And note that even if
> there were frivolous petitions (and I think it is highly
> unlikely), this would simply be a DOS attack on recall

Agreed.  And, unless one is prepared to argue that remote
participants are somehow more inclined to frivolous petitions
than those who attend regularly (no matter whether they actually
participate actively or not), this is a case in which the huge
number of frivolous recall efforts we have had in the past,
especially those that have gone to the point of getting a recall
committee formed (and even back when the number of people it
took to initiate such an action was only one and with no
qualification restrictions) strongly suggests that this is not a
real fear.

> solutions (e.g., half of the petitioners must be non-remote

I'd oppose that type of restriction unless there is at least a
shred of evidence that remote participants are, as a group, more
silliness-prone than those who show up.  So far, there isn't and
the same "remote participants should not be treated as
second-class unless there is a clear reason to do so"
considerations should apply that motivated
draft-moonesamy-recall-rev in the first place.

   john

---

From: John C Klensin <[email-masked]>
Date: Sun, 26 May 2019 17:42:22 -0400

Loganaden, Ted, and others,

Remote participation fees have been suggested on and off for
years, with the main motivations being providing a small bar
against various types of silliness, people posing as others or
as multiple people, etc.  I've been one of those suggesting them
for those and other reasons, including allowing a small bit more
authentication.  I don't recall any proposals that seriously
suggested such fees would provide significant secretariat
support and/or support for the costs of running Meetecho, etc.,
because most ways of calculating such fees would be enough to
drive most potential remote participants, even from
industrialized countries, away.   However, that has come up a
few times too. 

At no time have the IESG, the former IAD or IAOC, or others
seemed interested in taking the topic up.  Should they do so, we
can then have a conversation about formulas and charges.  I'd
predict those discussions would lead to a far more complex
formula than anyone really wants to deal with (e.g., something
based on cost of living or median income in various countries),
at least until things settled down on something with
encouragement for exceptions or exemptions when needed (much as
we have now).  Perhaps anticipation of that likely long and
painful discussion is one of the reasons why at least some of
those actors have not been interested in pursing such fees.
But, please, lets keep that discussion as separate as possible
from the rather narrow scope of  draft-moonesamy-recall-rev
(hence the change in the subject line).  If someone does feel
this is the time to take it up, let's see a proposal in I-D form.

best,
   john

--On Sunday, 26 May, 2019 12:54 +0400 Loganaden Velvindron
<[email-masked]> wrote:

>> requiring a real registration fee would no doubt decrease
>> that risk.  Futhermore, since we've already decided that it's
>> OK to require a registration fee for in-person attendance,
>> requiring something similar for remote participants --- since
>> the claim is that they should have all of the rights and
> We've been contributed patches for TLS 1.3, IPv6, DNS, http451
> in open source
> projects during the IETF hackathons. We're also working on a
> few drafts. We have a lot
> We're OK with paying the registration fees provided that they
> are reasonable.
> 
> There are countries such as Madagascar who are trying to
> organize their own IETF
> hubs but their Cost of living is lower than us. What is
> reasonable to us might be expensive
> to them.
>

---

From: "Pete Resnick" <[email-masked]>
Date: Mon, 27 May 2019 18:13:15 -0500

On 26 May 2019, at 14:32, John C Klensin wrote:

> ...unless one is prepared to argue that remote

To be fair, the concern was about someone making fake remote 
registrations in order for one or two folks to mount a recall. That 
said, I still don't think it is a serious concern.

pr

---

From: John C Klensin <[email-masked]>
Date: Mon, 27 May 2019 20:33:16 -0400

--On Monday, May 27, 2019 18:13 -0500 Pete Resnick
<[email-masked]> wrote:

>> than those who attend regularly (no matter whether they
>> actually participate actively or not), this is a case in
>> which the huge number of frivolous recall efforts we have had
>> in the past, especially those that have gone to the point of
>> getting a recall committee formed (and even back when the
>> number of people it took to initiate such an action was only
>> one and with no qualification restrictions) strongly suggests
>> that this is not a real fear.
> 
> registrations in order for one or two folks to mount a recall.
> That said, I still don't think it is a serious concern.

I think we are in complete agreement.  My comments, if anything,
were an attempt to demonstrate that the concern is even less
serious than your comments suggested.  I don't think that is a
contest or that it makes much difference who "wins".  IMO, if
there is any debate here it is about the size, coloration, and
taste of the red herring.

best,
   john

---

From: Michael StJohns <[email-masked]>
Date: Tue, 28 May 2019 16:35:41 -0400

Suggestion that I should have made 100 message ago:

This seems to be a "recall" proposal against the current recall 
process.   So - how about we see if there are 20 "eligible" people that 
are willing to sponsor this?  And if not, can we be done with it now?

AFAICT there are about 10 or so folk that have offered more than a 
single comment, but again AFAICT I didn't really see anyone expressing 
more than tepid interest in spending time on this.

FWIW, I think that it's probably OK to continue to have the "how much 
influence should a remote-only participant have over the IETF process 
discussion" but I also think that resolving that question before getting 
down into the "how many deck chairs on the titanic" type discussions for 
the recall process may be a much more productive approach that what I'm 
currently seeing.  And please - can it be time to move it off the IETF 
mailing list?

Later, Mike

PS - like it or not, meeting fees provide a substantial amount of the 
money for the general IETF budget specifically including standards 
publication.  If you are arguing for actions that reduce or tend to 
reduce or have the potential to limit the intake of funds from that 
model, I suggest you also come up with a more than handwaving proposal 
for how to replace those funds or explain which functions supported by 
the IETF we're going to eliminate to cover such shortfall.

---

From: Keith Moore <[email-masked]>
Date: Tue, 28 May 2019 18:49:02 -0400

> money for the general IETF budget specifically including standards 

It's a given that there has to be some way to pay the bills.  But if we 
have so much inertia around this way of raising revenue that it makes 
IETF less and less relevant over time, maybe IETF should address this 
problem sooner rather than later.   No organization can hope to remain 
viable if it refuses to even consider adapting to changing conditions.

> If you are arguing for actions that reduce or tend to reduce or have 
> the potential to limit the intake of funds from that model, I suggest 
> you also come up with a more than handwaving proposal for how to 
> replace those funds or explain which functions supported by the IETF 
> we're going to eliminate to cover such shortfall.

Perhaps we should also require more than handwaving reasons for staying 
the same.  :-)

(There's a familiar set of arguments for staying the same:  If you don't 
provide a detailed proposal, it's labeled handwaving. If you do provide 
a detailed proposal, it's easy to pick it apart as naive because it 
hasn't yet benefited from broad exposure and feedback.   Or is there no 
longer any place for brainstorming in IETF?)

I do suspect that there's likely a market for technical conferences that 
serve as a more effective way for IT and operations people to keep 
abreast of standards development and also to provide feed-forward about 
the problems that they are having and which need to be addressed.   And 
that such conferences might also attract more "doers" to IETF.

I'm not accustomed to designing conferences, so if you want details, 
perhaps suggest what kinds of details are needed?

Keith

---

From: Michael StJohns <[email-masked]>
Date: Tue, 28 May 2019 21:29:31 -0400

On 5/28/2019 6:49 PM, Keith Moore wrote:
> It's a given that there has to be some way to pay the bills.  But if 
> we have so much inertia around this way of raising revenue that it 
> makes IETF less and less relevant over time, maybe IETF should address 
> this problem sooner rather than later.   No organization can hope to 
> remain viable if it refuses to even consider adapting to changing 
> conditions.

IMO - it's not inertia as much as reality.  In the current "we don't 
have members" and "we don't charge for standards" model, we have three 
funding sources: meeting fees, sponsor contributions (both meeting and 
sustaining), and checks from the parents ... I mean ISOC 
contributions.    We could become more like other standards 
organizations by charging for either or both of membership (student, 
researcher, personal, corporate etc) and copies of the standards, but I 
grok that either of those changes could change the fundamentals of the 
IETF in a way that could make us *less* viable or relevant.   We could 
add another funding path - endowments - but that requires someone(s) 
with a particular skillset and a really big rolodex and usually some 
quid pro quo's in the toolbox to get money put into the endowment - and 
I don't see the IETF naming buildings for contributors anytime soon.

I'm sure there are other vaguely related ways we could make money, but 
they all will require a startup investment of time and money, and an 
ongoing investment in interest from the IETF community.  I'm having 
problems figuring what those might be.

So in the current model we can a) charge higher meeting fees, b) get 
more sponsorship, and c) ask ISOC for a bigger check.  None of these 
wells are bottomless.  We could reduce expenditures - but what would you 
cut?  Meeting related munchies and internet? Remote access bandwidth?  
Staff costs? Tools support? Standards production?

> Perhaps we should also require more than handwaving reasons for 
> staying the same.  :-)

See above - it's really just a question of who we want to be and what 
we're willing to pay to become that.  If you can tell me who we want to 
be, I can help you with figuring out what it's going to cost in time, 
reputation, angst, etc.

>
> (There's a familiar set of arguments for staying the same:  If you 
> don't provide a detailed proposal, it's labeled handwaving. If you do 
> provide a detailed proposal, it's easy to pick it apart as naive 
> because it hasn't yet benefited from broad exposure and feedback.   Or 
> is there no longer any place for brainstorming in IETF?)

Most of the money proposals have been "why can't we do X - it won't cost 
much" without "I think company C might be willing to fund X if we do Y 
as well" or "if we charge $10 more on the meeting fee, we can recoup the 
cost and there's enough interest to do that with minimal whining about 
expensive meeting fees" or similar thoughts.  I'm looking for at least 
some understanding that nothing is free and that (probably) someone 
isn't just going to write a check to cover costs.

In the instant case what I mean by enough detail is to do: 1) propose a 
functional change in enough detail that you can do (2), 2) analyze 
approximately how much it will cost us (additional expenditure and/or 
lost income), 3) figure out if it can be covered using current 
resources, 4) whether the change has priority over other calls on the 
funding, and 5) if 3 or 4 is "no" is there another source of funding 
available?  6) if (5) is "n", exit or revise (1) and repeat.

>
> I do suspect that there's likely a market for technical conferences 
> that serve as a more effective way for IT and operations people to 
> keep abreast of standards development and also to provide feed-forward 
> about the problems that they are having and which need to be 
> addressed.   And that such conferences might also attract more "doers" 
> to IETF.

Even better - sell the rights to a technical conference company to show 
up and do their own dog and pony show - with... wait for it ... 
conference fees.  Why reinvent this or try and do it ourselves?  Of 
course there will be unintended consequences - we'll have to find venues 
that can handle larger crowds for example which will lock us out of some 
of our current locales and definitely limit us in seeking out new 
locations.   Then there's the "we want to make money" vs "we think this 
country you want to go to has some [human rights | LGBT | political | 
visa | pollution | etc] problems and the IETF standards folk don't want 
to go" dichotomy between a for-profit technical conference and .. us.

Seriously - we've had problems with Bits and Bytes and diverging 
expectations - so I'm not sure how to reconcile the more mercenary "make 
money by giving presentations" with the usual IETF ... bohemian(?) 
approach to technology.

> perhaps suggest what kinds of details are needed?

I have no desire to design a conference nor to turn IETF standards 
meetings into them.  Find someone to build a marketing plan that says we 
could make money that way and maybe it could become more interesting to 
me.    That's probably what you need if you want to go the conference 
route - but I'd be surprised if it was viable.

Later, Mike

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 29 May 2019 17:15:52 +1200

> viable if it refuses to even consider adapting to changing conditions.

My understanding is that IETF LLC's jobs include fund-raising, so we do
have this issue on somebody's to-do list.

     Brian

> .

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 29 May 2019 09:36:27 -0400

We could do like W3C has and do an edEX on IETF technologies.

---

From: Bob Hinden <[email-masked]>
Date: Wed, 29 May 2019 08:38:07 -0700

Hi,

> On May 28, 2019, at 3:49 PM, Keith Moore <[email-masked]> wrote:
> 
>> PS - like it or not, meeting fees provide a substantial amount of the money for the general IETF budget specifically including standards publication. 

The percentage of the IETF costs that the IETF meetings registration fees cover has been going down for a long time.  With the addition of the added expenses for the LLC less so now.

According to the IETF 2019 budget at:

https://www.ietf.org/documents/246/IETF_2019_Budget_Public_2018-12-19.pdf

Meeting revenue ($3,941,880) is greater than meeting expenses ($3,837,325) by $104,555.   So we are pretty close to the meetings just paying for themselves.   ISOC more or less is paying for everything else.

Also, the 2020 advice, shows a meeting deficit of about $12K.

Bob

> 
> It's a given that there has to be some way to pay the bills.  But if we have so much inertia around this way of raising revenue that it makes IETF less and less relevant over time, maybe IETF should address this problem sooner rather than later.   No organization can hope to remain viable if it refuses to even consider adapting to changing conditions.
> 
>> If you are arguing for actions that reduce or tend to reduce or have the potential to limit the intake of funds from that model, I suggest you also come up with a more than handwaving proposal for how to replace those funds or explain which functions supported by the IETF we're going to eliminate to cover such shortfall.
> 
> Perhaps we should also require more than handwaving reasons for staying the same.  :-)
> 
> (There's a familiar set of arguments for staying the same:  If you don't provide a detailed proposal, it's labeled handwaving. If you do provide a detailed proposal, it's easy to pick it apart as naive because it hasn't yet benefited from broad exposure and feedback.   Or is there no longer any place for brainstorming in IETF?)
> 
> I do suspect that there's likely a market for technical conferences that serve as a more effective way for IT and operations people to keep abreast of standards development and also to provide feed-forward about the problems that they are having and which need to be addressed.   And that such conferences might also attract more "doers" to IETF.
> 
> I'm not accustomed to designing conferences, so if you want details, perhaps suggest what kinds of details are needed?
> 
> Keith
> 
>

---

From: Michael Richardson <[email-masked]>
Date: Wed, 29 May 2019 12:37:36 -0400

Keith Moore <[email-masked]> wrote:
    >> PS - like it or not, meeting fees provide a substantial amount of the money
    >> for the general IETF budget specifically including standards publication.

    > It's a given that there has to be some way to pay the bills.  But if we have
    > so much inertia around this way of raising revenue that it makes IETF less
    > and less relevant over time, maybe IETF should address this problem sooner
    > rather than later.   No organization can hope to remain viable if it refuses
    > to even consider adapting to changing conditions.

a) The meetings are not as "profitable" as they once were.

b) At this point, the November Asia meetings are not profitable at all, and from what I
   understand are now being planned on that assumption.  Some speculate that
   a March Asia meeting might do better, but that experiment is a few years
   away, and as yet, to my knowledge, unscheduled.
   March 2022 is the first spring where it could happen.
   (Same speculate that summer asia meeting would be intolerably warm.)

c) my understanding of the ISOC/LLC budget process seems to suggest to me
   that ISOC understands that these revenues are expected to decline to
   become insignificant.

(To be clear: "profitable" --> funds generated by in-person meetings that are
spent on secretariat and other non-meeting related expenses such as
RFC-editor, IANA, etc.  As a whole, the IETF does not make any money)

    > provide a detailed proposal, it's labeled handwaving. If you do provide a
    > detailed proposal, it's easy to pick it apart as naive because it hasn't yet
    > benefited from broad exposure and feedback.   Or is there no longer any place
    > for brainstorming in IETF?)

Internet-Draft?
Design-Team meetings/mailing lists?

    > serve as a more effective way for IT and operations people to keep abreast of
    > standards development and also to provide feed-forward about the problems
    > that they are having and which need to be addressed.   And that such
    > conferences might also attract more "doers" to IETF.

I think that ISOC has tried to run conferences like this; I think that most
IT operations people do not attend many conferences for the simple reason
that they have no time.
It's not about cost of the meeting, it's about the time away.
So to get their attention, it has to be near them, but if it's near them,
then they can not focus much.  I suspect that well done youtube videos
chopped into 20 minute segments might be best.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: John C Klensin <[email-masked]>
Date: Wed, 29 May 2019 13:45:00 -0400

--On Tuesday, May 28, 2019 21:29 -0400 Michael StJohns
<[email-masked]> wrote:

> IMO - it's not inertia as much as reality.  In the current
> "we don't have members" and "we don't charge for standards"
> model, we have three funding sources: meeting fees, sponsor
> contributions (both meeting and sustaining), and checks from
> the parents ... I mean ISOC contributions.    We could
> become more like other standards organizations by charging for
> either or both of membership (student, researcher, personal,
> corporate etc) and copies of the standards, but I grok that
> either of those changes could change the fundamentals of the
> IETF in a way that could make us *less* viable or
> relevant. 
>...

Mike,

I mostly agree, but have a different take on this, involving two
other pieces of the same reality.  As participation costs [1]
rise, it becomes harder for people without enterprise (profit or
non-profit) support to attend f2f meetings.  For those of us
with healthy consulting practices or significant
non-occupational income, retirement income, or other reserves,
attendance becomes a matter of personal or business priorities.
For people operating as individuals and closer to the edge, the
choice may be one of feasibility.   As a personal example, I've
got some health issues that drive up minimum costs, but there
have been years when I was attending substantially all meetings
f2f in which the annual IETF bill came to USD 30K- 40K.  Even if
one can get by at half or a third of that by cutting various
costs, we still are not talking about chump change.

It would be good to have actual numbers, although I'm not
confident that many of us would want to disclose the details of
our support situations to the community (or even the
Secretariat), but my strong suspicion is the percentage of
people actually participating as individuals -- on our own
wallets with no enterprise/organization support -- is dropping
relative to those who can depend on organizational money for
travel support, registration fees, and maybe even a salary while
at IETF or doing IETF work.   To the extent that is the case, it
turns the model of participation by individuals into a
convenient myth. 

Of course, organizations differ hugely about what, if anything,
people they support to participate in the IETF are expected to
do in return.  We've seen the full spectrum from "go there, do
your thing, and don't pay any attention to any relationships to
your day job" to clear corporate policies about positions
employees are expected to take or avoid in the IETF, rewards for
particular IETF-related actions or accomplishments, and so on.
However, I suggest that even the potential for a company to hold
people accountable for what they do in the IETF makes those
people different from our traditional story (myth ?) about
individual participation.

That myth is, IMO, dangerous for at least three reasons.  One is
that reasoning from the assumption that changing a model that
doesn't exist in practice would fundamentally change the IETF
may get in the way or clear thinking about alternatives,
including financial alternatives.  Second, noting that
participating as an IESG, IAB, etc., member is even more
expensive than participating as an ordinary contributor, if our
decision bodies come to be dominated by people with strong
organizational support, sensitivity to cost and related issues
by those who actually make the decisions may be reduced.
Finally, many of our policies and procedures are designed around
the assumption of individual participation and the related
assumption of no coordinated organizational influence.  Should
the IETF, as a standards developer ever get itself embroiled in
claims that particular standards decisions were made because of
undue organizational influences and that those decisions
distorted the market for certain products, our failure to have
policies and procedures in place to control that risk -- and our
presumed claim that we don't need them because everyone
participates as an individual would be more likely to fail a
laugh test the more unbalanced the participant profile gets.

>...
> So in the current model we can a) charge higher meeting fees,
> b) get more sponsorship, and c) ask ISOC for a bigger check. 
> None of these wells are bottomless.  We could reduce
> expenditures - but what would you cut?  Meeting related
> munchies and internet? Remote access bandwidth?  Staff costs?
> Tools support? Standards production?
>...

Well, I don't know how much it would help and we have built
systems that would cause it to take a long time for any changes
to show significant effects (maybe another symptom of the
"individual participation" myth), but we could also think about
some ways to cut costs and how much they would save.   As
examples, 

(i) Raise the threshold for creating a new WG, keeping a WG
going, and/or giving WGs meeting time slots, or restrict the
number of WGs to the point that we could reduce the number of
days the IETF meets and/or the number of meeting rooms needed in
parallel.  Reducing the number of days meetings last would
reduce the number of hotel nights people had to pay for and
perhaps even the number of hotel nights for staff the IETF,
ISOC, etc., needed to pay for.  Reducing the number of parallel
meeting rooms required might broaden the range of facilities we
could consider and thereby permit lower-cost meeting site
choices.  

(ii) Consider whether, with increasing use of interim meetings,
we could reduce the number of all-IETF meetings from three to
two.  This would presumably reduce annual travel, hotel, and
other costs for both participants and staff and might help
broaden participation by allowing at least some participants to
spend a larger fraction of the year at their day jobs.

(iii) Push back aggressively on small group meetings in parallel
with IETF.  IIR, we used to require between three and four small
meeting rooms: IAB and IESG (sometimes sharing one dedicated
space), a work area for the Secretariat, and maybe something
else like the Nomcom.  Anything else was required to take it
elsewhere or meet in ordinary hotel rooms (or rooms of members
of the leadership who were given complementary upgrades to
suites under hotel contracts); we even aggressively discouraged
other groups or company gatherings in the meeting hotel.  I
gather the number of such spaces that are "required" has
increased very significantly.  Given the complexities of hotel
contracts I am not sure that cutting the number back down would
lower costs for a given facility, but such a decrease would
increase the number of facilities that could be considered,
leaving us less at the mercy of facilities large enough to
accommodate our increasing needs and more able to negotiate more
attractive facility contracts.

I note that each of the above has been proposed in the past, at
least the first to the point of I-Ds proposing different
variations.  What they have in common is that the IESG (and/or
IASA) have been unwilling to take them up.  There are others
that might be worth considering although I'd predict they would
be even less likely to go anywhere:

(iv) Push back on IAB, IESG, or other "retreats" that require
additional travel, sometimes four weeks a year away from home
rather than three, and staff support and travel.   These
increase costs and decrease the number and diversity of people
who can volunteer to serve in leadership positions.  Sometimes
they are worth it, but the community's uncritical acceptance of
them as regular events may imply that we are not paying enough
attention to cost control (or that those will large travel and
expense accounts don't notice the costs or don't care).

(v) And, yes, we could attack the cookie budget by, e.g.,
creating an extra charge for snack breaks.   Given the nature of
hotel contracts, it is not clear how much that would save, but
making it negotiable would increase our ability to control costs
and promote competition among candidate facilities.

Those are just examples.  If we were serious about cost
reductions, we could probably come up with others.  I suggest
that "we" are no serious and that, in some respects, the
increase in remote participation has reduced the incentives to
control costs because someone who can't afford to travel to all
f2f meetings just stops doing so.   However, that seems to me to
be reducing the diversity of the IETF's leadership, making the
idea of participation as individuals more or a fiction, and
turning the IETF more into a body where participation and
leadership is by large and well-funded organizations even though
we keep trying to hide and deny that.

>>> If you are arguing for actions that reduce or tend to reduce
>>> or have  the potential to limit the intake of funds from
>>> that model, I suggest  you also come up with a more than
>>> handwaving proposal for how to  replace those funds or
>>> explain which functions supported by the IETF  we're going
>>> to eliminate to cover such shortfall.
>> 
> See above - it's really just a question of who we want to be
> and what we're willing to pay to become that.  If you can
> tell me who we want to be, I can help you with figuring out
> what it's going to cost in time, reputation, angst, etc.
>...

To turn this around a bit, maybe we should accept that who we
claim to be is getting less true even if has yet to disappear
entirely.  If we want to be a body that matches our claims, we
need to figure out what we are willing to pay (in cost
reductions, changes in workload, and adjustments to leadership
and overhead structures) to get that back and retain it.   I am
not holding my breath.

best,
   john

[1] That is costs as seen by those individual participants,
i.e., not just the registration fee but the sum of that, plus
travel expenses (air, hotel, meals, visa application fees and
associated travel when necessary, etc.), maybe plus lost income
or other opportunity costs when our individual sources of income
or other support make that relevant.

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 29 May 2019 14:07:47 -0400

Hi,

No hat.  In particular, I'm employed by the Internet Society but most
certainly do not speak for it in this message.

> by those who actually make the decisions may be reduced.

I think it impugns the professional integrity of those working for
those supportive organizations -- who support the IETF through quite
generous allocations of their employees' time and travel budget -- to
suggest that they are not price sensitive.  I know that when I was on
the IAB and when I was IAB chair, while I depended on my generous
corporate suppprt, I tried to be pretty careful with my travel budget
lest I find my organizational support reduced.

> IASA) have been unwilling to take them up.

I think this is entirely unfair to the IESG and IASA, who have often
and diligently considered all these proposals.  The problem, of
course, is that while an awful lot of people think that _something_
should be done, they seem also almost universally agree that whatever
their favourite feature is must not be affected.  The effect is that
everyone agrees that something should be done to constrain the budget,
but not anything that will affect oneself, which inevitably reduces to
"nothing".  This is not an IESG or IASA problem.  It's a community
problem.  If the collective will were there to do something less
expensive and take the compromises, it would be easy.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: "Livingood, Jason" <[email-masked]>
Date: Wed, 29 May 2019 18:29:05 +0000

You are correct, and it is on the LLC's to do list! 

Jason (for the LLC)

---

From: George Michaelson <[email-masked]>
Date: Thu, 30 May 2019 09:03:17 +1000

Now that ISOC/PIR funding is more overtly arms-length, and ICANN also
has a large success problem with funds, is it impossible to imagine
some kind of non-IETF, non-LLC entity which decides on merit and other
bases to fund attendance, because of its goals?

Whats the difference between a hypothetical Keith (sorry keith) asking
ISOC in some form, to cofund his attendance for reasons which mutually
support their goals, And Cisco or Huawei funding their staff to
attend, to promote a draft?

I think what I'm saying is that I think the higher goal of open,
free-to-source and free-to-develop standards is a huge high goal, and
keeping attendance cost at IETF f2f low is a good hard goal, and we
should focus on cost recovery even while we have to talk about profit
and customer in purely utility terms to discuss things like charges
and value, But we don't have to vest *ourselves* with funding some
people, when there are other people with a money success problem, and
goals in their own charter which can be met by funding attendance
here.

If the IETF did standards in vaccine-safety protocol, you bet Melinda
and Bill Gates would be pumping money . into attendance, right? And,
now we have ubiquitous encryption issues, I find it sensible and
pleasing that state agencies like GCHQ are in attendance and
co-funding people to come here. Its not like we didn't always have
NATO funded people, or other externally funded people. Many people I
know from IETF past spent long hours filling in US government
contractor/consultant paperwork to justify their time at the meeting.

I am sympathetic to what I think I understand of Keiths problem btw.
If I was as active as he was in developong things, and un-funded, I
would feel very unhappy about the situation too.

G